Subject: [P2PSIP] Invalid vs reserved in draft-ietf-p2psip-base-23

From: Marc Petit-Huguenin <[email-masked]>
Date: Fri, 28 Dec 2012 09:21:17 -0800

Hi,

In base-23, the value "0" in most registries is assigned the label "invalid",
but in the text itself the same value is assigned the label "reserved" or a
label derived from "reserved".

Now "reserved" and "invalid" are not synonymous. "reserved" carries the idea
that this may be redefined in the future (for example to extend the size),
where "invalid" has a more definitive connotation.  It does not matter for
interoperability purpose yet, but it would be nice if the two definitions
would match.

So, which label is the correct one for values 0?  "invalid" or "reserved"?

Thanks.

- -- 
Marc Petit-Huguenin
Email: [email-masked]
Blog: http://blog.marc.petit-huguenin.org
Profile: http://www.linkedin.com/in/petithug